
%global pypi_name sphinxcontrib-spelling
%global sum  A spelling checker for Sphinx-based documentation

Name:           python-%{pypi_name}
Version:        2.1.2
Release:        1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://bitbucket.org/dhellmann/sphinxcontrib-spelling
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-nose
BuildRequires:  python2-six
BuildRequires:  python-enchant
BuildRequires:  python2-sphinx

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-nose
BuildRequires:  python3-six
BuildRequires:  python3-enchant
BuildRequires:  python3-sphinx

%description
This package contains sphinxcontrib.spelling, a spelling checker for
Sphinx-based documentation. It uses PyEnchant to produce a report showing
misspelled words.

%package -n     python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:       python2-six
Requires:       python-enchant
Requires:       python2-sphinx

%description -n python2-%{pypi_name}
This package contains sphinxcontrib.spelling, a spelling checker for
Sphinx-based documentation. It uses PyEnchant to produce a report showing
misspelled words.

%package -n     python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-enchant
Requires:       python3-six
Requires:       python3-sphinx

%description -n python3-%{pypi_name}
This package contains sphinxcontrib.spelling, a spelling checker for
Sphinx-based documentation. It uses PyEnchant to produce a report showing
misspelled words.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove shebangs
find sphinxcontrib -name "*.py" -exec sed -i -e '/^#!\//, 1d' '{}' \;

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%{__python2} -m nose
%{__python3} -m nose

%files -n python2-%{pypi_name}
%doc README
%license LICENSE
%{python2_sitelib}/sphinxcontrib
%{python2_sitelib}/sphinxcontrib_spelling*

%files -n python3-%{pypi_name}
%doc README
%license LICENSE
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_spelling*

%changelog
* Wed Jun 15 2016 Avram Lubkin <aviso@rockhopper.net> - 2.1.2-1
- Initial package.
